<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Quiz 2</title>
    <style>
        li {
            margin-top: 10px;
        }
    </style>
</head>

<body>

    <div id="app1">
        <form action="">
            <input type="text" v-model="formName.name">
            <button @click.prevent="add" v-show="!btnUpdate">Add</button>
            <button @click.prevent='update' v-show="btnUpdate">Update</button>
        </form>
        <ul>
            <li v-for="(user,index) in users">
                {{user.name}} <button @click="edit(user,index)">Edit</button> || <button
                    @click="del(index)">Delete</button>
            </li>
        </ul>
    </div>


    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app1',
            data: {
                users: [
                    {
                        'name': 'Mardha Mardiya'
                    },
                    {
                        'name': 'Budi Setiawan'
                    },
                    {
                        'name': 'Padil Muhammad'
                    }
                ],
                btnUpdate: false,
                formName: {
                    'name': ''
                },
                nameID: null
            },
            methods: {
                add: function () {
                    this.users.push(this.formName)
                    this.formName = {}
                },
                edit: function (nama, id) {
                    this.nameID = id
                    this.formName.name = nama.name
                    this.btnUpdate = true
                },
                update: function () {
                    this.users[this.nameID].name = this.formName.name
                    this.formName = {}
                    this.btnUpdate = false
                    this.nameID = null
                },
                del: function (id) {
                    var con = confirm('anda yakin?')
                    if (con) {
                        this.users.splice(id, 1)
                    }
                }

            }
        })
    </script>
</body>

</html>